OpenNMS API 1.2.9

## org.opennms.web.eventconf.bobject
Class AutoAction

    java.lang.Object
      org.opennms.web.eventconf.bobject.AutoAction

All Implemented Interfaces:
  java.lang.Cloneable

Deprecated. Replaced by a Castor-generated implementation.

public class AutoAction
extends java.lang.Object
implements java.lang.Cloneable

This is a data class for storing snmp event configuration information as parsed from the eventconf.xml file

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS
See Also:
  `Autoaction`

Field Summary
`static int` `AUTO_ACTION_STATE_DEFAULT_INDEX` Deprecated. The index into the AUTO_ACTION_STATES array indicating the default state of an auto action.
`static java.lang.String[]` `AUTO_ACTION_STATES` Deprecated. A list of values for autoaction states.
`private java.lang.String` `m_autoAction` Deprecated.
`private java.lang.String` `m_state` Deprecated.

Constructor Summary
`AutoAction()` Deprecated. Default constructor, intializes the member variables.

Method Summary
`java.lang.Object` `clone()` Deprecated.
`java.lang.String` `getAutoAction()` Deprecated.
`java.lang.String` `getState()` Deprecated.
`void` `setAutoAction(java.lang.String action)` Deprecated.
`void` `setState(java.lang.String state)` Deprecated.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTO_ACTION_STATES

    public static final java.lang.String[] AUTO_ACTION_STATES

  Deprecated.
  A list of values for autoaction states. If this array changes please update any of the AUTO_ACTION_STATE_DEFAULT_INDEX members if needed.

### AUTO_ACTION_STATE_DEFAULT_INDEX

    public static final int AUTO_ACTION_STATE_DEFAULT_INDEX

  Deprecated.
  The index into the AUTO_ACTION_STATES array indicating the default state of an auto action. If the values array changes please update this index if needed.

  See Also:
    Constant Field Values

### m_autoAction

    private java.lang.String m_autoAction

  Deprecated.

### m_state

    private java.lang.String m_state

  Deprecated.

Constructor Detail

### AutoAction

    public AutoAction()

  Deprecated.
  Default constructor, intializes the member variables.

Method Detail

### clone

    public java.lang.Object clone()

  Deprecated.

### setAutoAction

    public void setAutoAction(java.lang.String action)

  Deprecated.

### getAutoAction

    public java.lang.String getAutoAction()

  Deprecated.

### setState

    public void setState(java.lang.String state)

  Deprecated.

### getState

    public java.lang.String getState()

  Deprecated.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.